polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef > Class Template Reference

Axuiliary class. More...

`#include <CMemberFunctionTraits.h>`

## Public Types

typedef ResultType | result_type
typedef ArgType | argument_type
typedef Type | object_type
typedef ObjRef | object_reference

## Detailed Description

### template<class Type, class ResultType, class ArgType, class ObjRef>
class polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef >

Axuiliary class.

## Member Typedef Documentation

template<class Type, class ResultType, class ArgType, class ObjRef>

typedef ArgType polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef >::argument_type

template<class Type, class ResultType, class ArgType, class ObjRef>

typedef ObjRef polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef >::object_reference

template<class Type, class ResultType, class ArgType, class ObjRef>

typedef Type polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef >::object_type

template<class Type, class ResultType, class ArgType, class ObjRef>

typedef ResultType polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef >::result_type

The documentation for this class was generated from the following file:

- CMemberFunctionTraits.h